org.eclipse.cdt.core.parser

## Interface IExtendedScannerInfo

All Superinterfaces:
  IScannerInfo

All Known Implementing Classes:
  ExtendedScannerInfo, ScannerInfo

    public interface IExtendedScannerInfo
    extends IScannerInfo

Extension to `IScannerInfo`, allows for providing additional preprocessor options.

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getIncludeFiles()` Return an array of files that will be parsed before parsing the translation-unit as if the these files were included using include directives.
`String[]` `getLocalIncludePath()` Return an array of paths that is searched after the current directory, when an include directive with double-quotes is processed.
`String[]` `getMacroFiles()` Return an array of files which will be preprocessed before parsing the translation-unit in order to populate the macro-dictionary.

### Methods inherited from interface org.eclipse.cdt.core.parser.IScannerInfo

`getDefinedSymbols, getIncludePaths`

### Method Detail

#### getMacroFiles

    String[] getMacroFiles()

Return an array of files which will be preprocessed before parsing the translation-unit in order to populate the macro-dictionary.

#### getIncludeFiles

    String[] getIncludeFiles()

Return an array of files that will be parsed before parsing the translation-unit as if the these files were included using include directives.

#### getLocalIncludePath

    String[] getLocalIncludePath()

Return an array of paths that is searched after the current directory, when an include directive with double-quotes is processed.

In order to suppress the use of the directory of the current file (side effect of gcc option -I-) you can pass '-' as one of the include paths. Other than that, the '-' will not have an effect, in particular it will not split the include path as the -I- option would do.